<?php


/// Get Projects Function
function openbots() {
    $args = array(
        'order' => 'ASC',
        'post_type' => 'mypost',
        'cat'=> 16,
        'posts_per_page' => 3
    );
    // get results
    $the_query = new WP_Query( $args );
    if( $the_query->have_posts() ):
         while ( $the_query->have_posts() ) : $the_query->the_post();
            $myPageID = get_the_id();
            $title = get_the_title();
            $excerpt = get_the_excerpt();
            $blogLink = get_the_permalink();
            $hoverimage = get_field('hover-image');
            $image = get_the_post_thumbnail($myPageID, 'full');
            $openbots .= '
                <div class="PortfoliosBlogs">
                    <div class="PortfoliosBlogsImg">
                        <a class="PortfoliosImg" href="'.$blogLink.'">'.$image.'</a>
                        <div class="Portfolios">
                            <div class="Blog-Contant">
                                <a href="'.$blogLink.'"><h2>'.$title.'</h2></a>
                                <p>'.$excerpt.'</p>
                            </div>
                            <div class="Blogs-Btn">
                                <a href="'.$blogLink.'" target="_blank">Branding</a>
                            </div>
                            <div class="Blogs-Btn">
                                <a href="'.$blogLink.'" target="_blank">UX/UI Design</a>
                            </div>
                            <div class="Blogs-Btn">
                                <a href="'.$blogLink.'" target="_blank">IOS Development</a>
                            </div>
                            <div class="Blogs-Btn">
                                <a href="'.$blogLink.'" target="_blank">Web Development</a>
                            </div>
                        </div>
                    </div>
                </div>
                ';
         endwhile;
     endif;
$openbots .= '';
return $openbots;
}
add_shortcode( 'openbots-shortcode', 'openbots');
///// End Get Projects Function