<?php
/**
 * Plugin Name: My First Plugin
 * Plugin URI: http://localhost/genii/first-plugin
 * Description: This Is My First Plugin That I Have Created.
 * Version: 1.0.0
 * Author: Ahmed
 * Author URI: http://localhost/genii
 * Text Domain: mypost
 * License: GPLv2 or later
 */

function create_mypost_cpt() {
  $labels = array (
    'name' => __( 'Mypost', 'Post Type General Name', 'mypost' ),
    'singular_name' => __( 'Mypost', 'Post Type Singular Name', 'mypost' ),
    'menu_name' => __( 'Mypost', 'mypost'),
    'name_admin_bar' => __( 'mypost', 'mypost'),
    'archives' => __( 'Mypost Archives', 'mypost'),
    'attributes' => __( 'Mypost Attributes', 'mypost'),
    'parent_item_colon' => __( 'Parent Mypost', 'mypost'),
    'all_items' => __( 'All Mypost', 'mypost'),
    'add_new_items' => __( 'Add New Mypost', 'mypost'),
    'add_new' => __( 'Add New', 'mypost'),
    'new_item' => __( 'New Mypost', 'mypost'),
    'edit_item' => __( 'Edit Mypost', 'mypost'),
    'update_item' => __( 'Update Mypost', 'mypost'),
    'view_item' => __( 'View Mypost', 'mypost'),
    'view_items' => __( 'View Myposts', 'mypost'),
    'search_items' => __( 'Search Myposts', 'mypost'),
    'not_found' => __( 'Not Found', 'mypost'),
    'not_found_in_trash' => __( 'Not Found in Trash', 'mypost'),
    'featured_image' => __( 'Featured Image', 'mypost'),
    'set_featured_image' => __( 'Set Featured Image', 'mypost'),
    'remove_featured_image' => __( 'Remove Featured Image', 'mypost'),
    'use_featured_image' => __( 'Use as Featured Image', 'mypost'),
    'insert_into_item' => __( 'Insert Into Mypost', 'mypost'),
    'uploaded_to_this_item' => __( 'Uploaded To This Mypost', 'mypost'),
    'items_list' => __( 'Myposts list', 'mypost'),
    'items_list_navigation' => __( 'Mypost list Navigation', 'mypost'),
    'filter_items_list' => __( 'Filter Mypost List', 'mypost'),

  );

  $args = array(
    'label' => __( 'mypost', 'mypost'),
    'description' => __( 'Fullstack Web Dev Myposts', 'mypost'),
    'labels' => $labels,
    'menu_icon' => 'dashicons-admin-post',
    'supports' => array( 'title', 'editor', 'thumbnail', 'revisions', 'author', 'excerpt'),
    // 'texonomies' => array( 'category', 'post_tag'),
    'taxonomies'  => array( 'category' ),
    'public' => true,
    'show_ui' => true,
    'show_in_menu' => true,
    'menu_position' => (5),
    'show_in_admin_bar' => true,
    'show_in_nav_menus' => true,
    'can_export' => true,
    'has_archive' => true,
    'hierarchical' => false,
    'exclude_from_search' => false,
    'show_in_rest' => true,
    'publicly_queryable' => true,
    'capability_type' => 'post',
    'rewrite' => array( 'slug' => 'mypost'),
  );
  register_post_type( 'mypost', $args);
}
add_action( 'init', 'create_mypost_cpt', 0);


function rewrite_tuts_flush() {
  create_mypost_cpt();
  flush_rewrite_rules();
}
register_activation_hook( __FILE__, 'rewrite_tuts_flush');






// /// Get Projects Function
// function openbots() {
//     $args = array(
//         'order' => 'ASC',
//         'post_type' => 'mypost',
//         'cat'=> 16,
//         'posts_per_page' => 3
//     );
//     // get results
//     $the_query = new WP_Query( $args );
//     if( $the_query->have_posts() ):
//          while ( $the_query->have_posts() ) : $the_query->the_post();
//             $myPageID = get_the_id();
//             $title = get_the_title();
//             $excerpt = get_the_excerpt();
//             $blogLink = get_the_permalink();
//             $hoverimage = get_field('hover-image');
//             $image = get_the_post_thumbnail($myPageID, 'full');
//             $openbots .= '
//                 <div class="PortfoliosBlogs">
//                     <div class="PortfoliosBlogsImg">
//                         <a class="PortfoliosImg" href="'.$blogLink.'">'.$image.'</a>
//                         <div class="Portfolios">
//                             <div class="Blog-Contant">
//                                 <a href="'.$blogLink.'"><h2>'.$title.'</h2></a>
//                                 <p>'.$excerpt.'</p>
//                             </div>
//                             <div class="Blogs-Btn">
//                                 <a href="'.$blogLink.'" target="_blank">Branding</a>
//                             </div>
//                             <div class="Blogs-Btn">
//                                 <a href="'.$blogLink.'" target="_blank">UX/UI Design</a>
//                             </div>
//                             <div class="Blogs-Btn">
//                                 <a href="'.$blogLink.'" target="_blank">IOS Development</a>
//                             </div>
//                             <div class="Blogs-Btn">
//                                 <a href="'.$blogLink.'" target="_blank">Web Development</a>
//                             </div>
//                         </div>
//                     </div>
//                 </div>
//                 ';
//          endwhile;
//      endif;
// $openbots .= '';
// return $openbots;
// }
// add_shortcode( 'openbots-shortcode', 'openbots');
// ///// End Get Projects Function